#include<iostream>
#include<vector>
using namespace std;
#define ll long long
int main(){
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);
    ll n, perica;
    cin>>n>>perica;
    vector<ll> stalaktiti(n);
    ll out = -1;
    for(ll i = 0; i<n; i++) cin>>stalaktiti[i];
    for(ll i = 0; i<n; i++){
        if (perica>=stalaktiti[i]){
            out = i+1;
            break;
        }
    }
    cout<<out;
}